Accéder au contenu

Veo 3.1 Fast Image to Video

Intégrer

Identifiant du modèle veo3.1/fast/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Cette requête: 0,40 $ 400 crédits API L'exécuter sur cette page

Obtenir une clé API
Google Image vers vidéo Audio natifSortie 4KRapide4–8 sjusqu'à 4k #fast#dialogue

Anime une image en un clip de 4 à 8 secondes avec son, aux tarifs de Veo 3.1 Fast.

Exemples

Entrée
Sortie · ~72 s

Invite{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }

4s720pgenerate_audio: false0,40 $ · 400 crédits API

Invite de @azed_ai sur X

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour lorsque vous les modifiez.

•obligatoire 1674 / 20000

Description textuelle de la vidéo souhaitée à générer.

•obligatoire image_url
Déposez un fichier ou

URL de l'image source de l'animation, avec recadrage automatique lorsque ses proportions diffèrent de 16:9 ou 9:16. La source recommandée fait au moins 720p et utilise déjà l'un de ces rapports.

duration 4 s

Durée de la vidéo de sortie.

aspect_ratio par défaut auto

Rapport hauteur/largeur de la vidéo de sortie, limité à 16:9 ou 9:16.

resolution

Résolution utilisée pour la vidéo de sortie.

Avancé negative_prompt · safety_tolerance · seed · auto_fix

Invite négative utilisée pour orienter la génération vidéo.

safety_tolerance par défaut 4

Définissez la tolérance de modération du contenu entre le niveau le moins restrictif, 6, et le plus strict, 1, qui bloque la plupart des contenus.

Valeur de graine qui initialise la génération de nombres aléatoires.

POST /run/veo3.1/fast/image-to-video?wait=20 devis → 0,40 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement à la Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

Créé sur Doitong

Créations publiques réalisées avec Veo 3.1 par la communauté Doitong. Réutilisez une invite en un clic.

Créations publiques affichées : 16
Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа лю... Vidéo

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа людей в расфокусе стремительно проходит мимо героев на переднем плане. Прохожие идут уткнувшись в телефоны, не замечая ничего вокруг, иногда грубо задевая героев плечами. Эмоциональный ритм: нарастающее...

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа лю... Vidéo

Камера статична, но фокусное расстояние плавно меняется, создавая эффект головокружения. Толпа людей в расфокусе стремительно проходит мимо героев на переднем плане. Прохожие идут уткнувшись в телефоны, не замечая ничего вокруг, иногда грубо задевая героев плечами. Эмоциональный ритм: нарастающее...

Камера стремительно наезжает вперед, погружаясь во мрак туннеля вместе с поездом. Вокруг начинают... Vidéo

Камера стремительно наезжает вперед, погружаясь во мрак туннеля вместе с поездом. Вокруг начинают мелькать странные неоновые искры, пространство искажается, а кирпичные стены сменяются пульсирующими световыми полосами. Персонажи инстинктивно прижимаются друг к другу, пытаясь укрыться от...

Камера плавно движется вперед параллельно ходу поезда, создавая ощущение скорости и свободы. Вете... Vidéo

Камера плавно движется вперед параллельно ходу поезда, создавая ощущение скорости и свободы. Ветер мягко развевает одежду одного персонажа и густую шерсть другого. Деревья на заднем плане быстро проносятся мимо, создавая динамичный фон, а золотые лучи солнца периодически вспыхивают сквозь ветви,...

Камера делает резкий облет вокруг героев на 360 градусов, демонстрируя масштаб огромного современ... Vidéo

Камера делает резкий облет вокруг героев на 360 градусов, демонстрируя масштаб огромного современного мегаполиса, внезапно выросшего вокруг них. В воздухе проносятся светящиеся дроны, а внизу по эстакадам непрерывным потоком мчатся автомобили с яркими фарами. Персонажи медленно опускают руки,...

люди спешат с телефонами. Камера кружит вокруг героев. Шок от контраста прошлого и будущего. Off-... Vidéo

люди спешат с телефонами. Камера кружит вокруг героев. Шок от контраста прошлого и будущего. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Voice: тёплый, ностальгический мужской голос средних лет с мягким темпом и лёгкой грустью. ...оказываются на...

камера статична. гена играет на гармони своей. персонажи чуть улыбаются On-screen dialogue (chara... Vidéo

камера статична. гена играет на гармони своей. персонажи чуть улыбаются On-screen dialogue (characters speak with lip-sync): Гена: "мир поменялся. главное что мы остались добрые" No background music.

Art style: Реалистичный кулинарный блог. Камера немного отдаляется, показывая ведущую по пояс. Он... Vidéo

Art style: Реалистичный кулинарный блог. Камера немного отдаляется, показывая ведущую по пояс. Она активно жестикулирует, призывая зрителей писать комментарии и подписываться. В конце она машет рукой или делает приветственный жест. Ее улыбка сияет, создавая позитивный финал. Свет из окна...

À propos de Veo 3.1 Fast Image to Video

La version rapide d'image vers vidéo de Veo 3.1 : le même réalisme, la parole et le son à partir d'une image de départ, avec un traitement plus rapide et un prix bien inférieur. 4, 6 ou 8 secondes en 720p, 1080p ou 4K, cadrage adaptatif ou fixe 16:9 / 9:16, son activé ou désactivé.

Paramètres

Envoyez soit le nom canonique, soit le nom natif, mais pas les deux. Noms canoniques

NomType Par défautAutorisé Description
promptobligatoire
Typestring
≤ 20 000 caractères
Description textuelle de la vidéo souhaitée à générer.
aspect_ratiofacultatif
Typeenum
Par défautauto
auto16:99:16
Rapport hauteur/largeur de la vidéo de sortie, limité à 16:9 ou 9:16.
durationfacultatif
Typeenum
Par défaut8s
4s6s8s
Durée de la vidéo de sortie.
negative_promptfacultatif
Typestring | null
Invite négative utilisée pour orienter la génération vidéo.
resolutionfacultatif
Typeenum
Par défaut720p
720p1080p4k
Résolution utilisée pour la vidéo de sortie.
generate_audiofacultatif
Typeboolean
Par défauttrue
Contrôle l’inclusion d’un audio généré dans la vidéo.
seedfacultatif
Typeinteger | null
Valeur de graine qui initialise la génération de nombres aléatoires.
auto_fixfacultatif
Typeboolean
Par défautfalse
Réécriture automatique des invites pour tenter de résoudre les échecs des contrôles de politique de contenu ou d'autres validations.
safety_tolerancefacultatif
Typeenum
Par défaut4
123456
Définissez la tolérance de modération du contenu entre le niveau le moins restrictif, 6, et le plus strict, 1, qui bloque la plupart des contenus.
image_urlobligatoire image
Typeurl · image
URL de l'image source de l'animation, avec recadrage automatique lorsque ses proportions diffèrent de 16:9 ou 9:16. La source recommandée fait au moins 720p et utilise déjà l'un de ces rapports.
obligatoire Nom canonique, également accepté

Les paramètres de fichier acceptent une URL publique https://, un URI data: jusqu'à 10 MB ou le file_url d'un téléversement. Fichiers

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/fast/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "The fox trots along the path and the fireflies swirl around it, camera slowly pushes in",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 4,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie sur notre stockage : conservée indéfiniment (facturation par Go-mois) ou 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Une structure identique pour chaque modèletype, url, content_type, width, height et duration, pour les images, les vidéos et l'audio. output est l'objet de résultat propre au modèle.
Champs de sortie
video
object {url, content_type, file_name, file_size}Vidéo produite par le modèle.

Plus de modèles : Image vers vidéo

Pour les agents IA : cette page au format Markdown est disponible à l'adresse https://doitong.com/fr-FR/developers/models/veo3.1/fast/image-to-video.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt